Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

# Enum ChargeBearerType1Code

java.lang.Object
java.lang.Enum<ChargeBearerType1Code>
org.kapott.hbci.sepa.jaxb.pain_002_001_10.ChargeBearerType1Code

All Implemented Interfaces:
  `Serializable`, `Comparable<ChargeBearerType1Code>`, `java.lang.constant.Constable`

public enum ChargeBearerType1Code extends Enum<ChargeBearerType1Code>

Java class for ChargeBearerType1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ChargeBearerType1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DEBT"/>
         <enumeration value="CRED"/>
         <enumeration value="SHAR"/>
         <enumeration value="SLEV"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRED`
`DEBT`
`SHAR`
`SLEV`

## Method Summary

Modifier and Type
Method
Description
`static ChargeBearerType1Code`
`fromValue(String v)`
`String`
`value()`
`static ChargeBearerType1Code`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ChargeBearerType1Code[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEBT

public static final ChargeBearerType1Code DEBT

### CRED

public static final ChargeBearerType1Code CRED

### SHAR

public static final ChargeBearerType1Code SHAR

### SLEV

public static final ChargeBearerType1Code SLEV

## Method Details

### values

public static ChargeBearerType1Code[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ChargeBearerType1Code valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static ChargeBearerType1Code fromValue(String v)